/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include "Base/UI/IWindow.hpp"

namespace OpenVulkano
{
	class ImGuiImplOpenVulkano
	{
		IWindow* m_window;

	public:
		static ImGuiImplOpenVulkano INSTANCE;

		void Init(IWindow* window);

		void NewFrame();

		void Close();
	};
}
